"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "releng/run_all_auto" between
xorriso-1.4.6.tar.gz and xorriso-1.4.8.tar.gz

About: GNU xorriso creates, loads, manipulates and writes ISO 9660 filesystem images with Rock Ridge extensions. It is suitable for incremental data backup and for production of bootable ISO 9660 images. GNU xorriso is a statical compilation of the libraries libburn, libisofs, libisoburn, and libjte.

run_all_auto  (xorriso-1.4.6):run_all_auto  (xorriso-1.4.8)
skipping to change at line 62 skipping to change at line 62
while read line while read line
do do
count=$(($count + 1)) count=$(($count + 1))
printf "\r %4d lines logged ... " "$count" >&2 printf "\r %4d lines logged ... " "$count" >&2
printf "%s\n" "$line" printf "%s\n" "$line"
done done
return 0 return 0
} }
############################################# #############################################
# copied from releng/inc/releng_getopts.inc which is not included here.
boldify() {
if which tput >/dev/null 2>&1
then
tput smso || dummy_variable=1
fi
}
unboldify() {
if which tput >/dev/null 2>&1
then
tput rmso || dummy_variable=1
fi
}
#############################################
print_usage() print_usage()
{ {
cat << HLP cat << HLP
${SELF} runs executables from releng directory starting with auto_*, ${SELF} runs executables from releng directory starting with auto_*,
and passing them its own options. stdout/stderr output is stored in: and passing them its own options. stdout/stderr output is stored in:
./${CLOG} (last run) and ./${CLOG} (last run) and
./${CLOG_PREV} (previous run) ./${CLOG_PREV} (previous run)
Usage: ${SELF} -x path/to/xorriso [-k] [-c] [-h] Usage: ${SELF} -x path/to/xorriso [-k] [-c] [-h]
skipping to change at line 164 skipping to change at line 180
T2=`date '+%s'` T2=`date '+%s'`
TS=`expr ${T2} - ${T1}` TS=`expr ${T2} - ${T1}`
case ${RET} in case ${RET} in
0) 0)
echo "done in ${TS} sec. ok." echo "done in ${TS} sec. ok."
;; ;;
*) *)
exit_value=2 exit_value=2
printf "done in ${TS} sec. " printf "done in ${TS} sec. "
which tput >/dev/null 2>&1 && tput smso boldify
printf "FAIL -> EXIT CODE $RET" printf "FAIL -> EXIT CODE $RET"
which tput >/dev/null 2>&1 && tput rmso unboldify
echo echo
;; ;;
esac esac
set -e set -e
fi fi
done done
DEND=`date -u` DEND=`date -u`
echo | tee -a ${CLOG} echo | tee -a ${CLOG}
echo -n "${SELF}: Stopped at ${DEND}." | tee -a ${CLOG} echo -n "${SELF}: Stopped at ${DEND}." | tee -a ${CLOG}
skipping to change at line 238 skipping to change at line 254
##### TODO: work out a less noisy diff'ing technique! ##### TODO: work out a less noisy diff'ing technique!
if [ -f "${CLOG_PREV}" -a -f "${CLOG}" ]; then if [ -f "${CLOG_PREV}" -a -f "${CLOG}" ]; then
echo "${SELF}: See diff against previous log file (might be long):" | te e -a ${CLOG} echo "${SELF}: See diff against previous log file (might be long):" | te e -a ${CLOG}
echo "diff -Naur ${CLOG_PREV} ${CLOG} | less" | tee -a ${CLOG} echo "diff -Naur ${CLOG_PREV} ${CLOG} | less" | tee -a ${CLOG}
fi fi
fi fi
# #
which tput >/dev/null 2>&1 && tput smso boldify
echo # | tee -a ${CLOG} echo # | tee -a ${CLOG}
echo "${SELF}: Leaving the following cruft in ${GEN_DATA_DIR}:" # | tee -a ${CL OG} echo "${SELF}: Leaving the following cruft in ${GEN_DATA_DIR}:" # | tee -a ${CL OG}
which tput >/dev/null 2>&1 && tput rmso unboldify
ls -lth "${GEN_DATA_DIR}" # | tee -a ${CLOG} ls -lth "${GEN_DATA_DIR}" # | tee -a ${CLOG}
# Fin # Fin
exit $exit_value exit $exit_value
 End of changes. 5 change blocks. 
4 lines changed or deleted 20 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)